# Class QuorumPeerConfig.ConfigException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.zookeeper.common.ConfigException
org.apache.zookeeper.server.quorum.QuorumPeerConfig.ConfigException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `QuorumPeerConfig`

public static class QuorumPeerConfig.ConfigException extends ConfigException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConfigException(String msg)`
`ConfigException(String msg, Exception e)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConfigException

public ConfigException(String msg)

### ConfigException

public ConfigException(String msg, Exception e)